如何处理错误消息Please install the gcc make perl packages

如何处理这行错误消息?

Please install the gcc make perl packages from your distribution。

执行命令行:yum install gcc perl make

输出:

Loaded plugins: product-id, search-disabled-repos, subscription-manager

This system is not registered with an entitlement server. You can use subscription-manager to register.

Package 4:perl-5.16.3-292.el7.x86_64 already installed and latest version

Package 1:make-3.82-23.el7.x86_64 already installed and latest version

Resolving Dependencies

--> Running transaction check

---> Package gcc.x86_64 0:4.8.5-28.el7_5.1 will be installed

--> Processing Dependency: cpp = 4.8.5-28.el7_5.1 for package: gcc-4.8.5-28.el7_5.1.x86_64

--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.8.5-28.el7_5.1.x86_64

--> Processing Dependency: libmpc.so.3()(64bit) for package: gcc-4.8.5-28.el7_5.1.x86_64

--> Processing Dependency: libmpfr.so.4()(64bit) for package: gcc-4.8.5-28.el7_5.1.x86_64

--> Running transaction check

---> Package cpp.x86_64 0:4.8.5-28.el7_5.1 will be installed

---> Package glibc-devel.x86_64 0:2.17-222.el7 will be installed

--> Processing Dependency: glibc-headers = 2.17-222.el7 for package: glibc-devel-2.17-222.el7.x86_64

--> Processing Dependency: glibc-headers for package: glibc-devel-2.17-222.el7.x86_64

---> Package libmpc.x86_64 0:1.0.1-3.el7 will be installed

---> Package mpfr.x86_64 0:3.1.1-4.el7 will be installed

--> Running transaction check

---> Package glibc-headers.x86_64 0:2.17-222.el7 will be installed

--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.17-222.el7.x86_64

--> Processing Dependency: kernel-headers for package: glibc-headers-2.17-222.el7.x86_64

--> Running transaction check

---> Package kernel-headers.x86_64 0:3.10.0-862.14.4.el7 will be installed

--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================

Package Arch Version Repository Size

========================================================================================================

Installing:

gcc x86_64 4.8.5-28.el7_5.1 rhel_7_server_rpms 16 M

Installing for dependencies:

cpp x86_64 4.8.5-28.el7_5.1 rhel_7_server_rpms 5.9 M

glibc-devel x86_64 2.17-222.el7 rhel_7_server_rpms 1.1 M

glibc-headers x86_64 2.17-222.el7 rhel_7_server_rpms 678 k

kernel-headers x86_64 3.10.0-862.14.4.el7 rhel_7_server_rpms 7.1 M

libmpc x86_64 1.0.1-3.el7 rhel_7_server_rpms 51 k

mpfr x86_64 3.1.1-4.el7 rhel_7_server_rpms 203 k

Transaction Summary

========================================================================================================

Install 1 Package (+6 Dependent packages)

Total download size: 31 M

Installed size: 60 M

Is this ok y/d/N:

选择Y:

看到Complete,说明安装完毕。

Loaded plugins: product-id, search-disabled-repos, subscription-manager

This system is not registered with an entitlement server. You can use subscription-manager to register.

Package 4:perl-5.16.3-292.el7.x86_64 already installed and latest version

Package 1:make-3.82-23.el7.x86_64 already installed and latest version

Resolving Dependencies

--> Running transaction check

---> Package gcc.x86_64 0:4.8.5-28.el7_5.1 will be installed

--> Processing Dependency: cpp = 4.8.5-28.el7_5.1 for package: gcc-4.8.5-28.el7_5.1.x86_64

--> Processing Dependency: glibc-devel >= 2.2.90-12 for package: gcc-4.8.5-28.el7_5.1.x86_64

--> Processing Dependency: libmpc.so.3()(64bit) for package: gcc-4.8.5-28.el7_5.1.x86_64

--> Processing Dependency: libmpfr.so.4()(64bit) for package: gcc-4.8.5-28.el7_5.1.x86_64

--> Running transaction check

---> Package cpp.x86_64 0:4.8.5-28.el7_5.1 will be installed

---> Package glibc-devel.x86_64 0:2.17-222.el7 will be installed

--> Processing Dependency: glibc-headers = 2.17-222.el7 for package: glibc-devel-2.17-222.el7.x86_64

--> Processing Dependency: glibc-headers for package: glibc-devel-2.17-222.el7.x86_64

---> Package libmpc.x86_64 0:1.0.1-3.el7 will be installed

---> Package mpfr.x86_64 0:3.1.1-4.el7 will be installed

--> Running transaction check

---> Package glibc-headers.x86_64 0:2.17-222.el7 will be installed

--> Processing Dependency: kernel-headers >= 2.2.1 for package: glibc-headers-2.17-222.el7.x86_64

--> Processing Dependency: kernel-headers for package: glibc-headers-2.17-222.el7.x86_64

--> Running transaction check

---> Package kernel-headers.x86_64 0:3.10.0-862.14.4.el7 will be installed

--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================

Package Arch Version Repository Size

========================================================================================================

Installing:

gcc x86_64 4.8.5-28.el7_5.1 rhel_7_server_rpms 16 M

Installing for dependencies:

cpp x86_64 4.8.5-28.el7_5.1 rhel_7_server_rpms 5.9 M

glibc-devel x86_64 2.17-222.el7 rhel_7_server_rpms 1.1 M

glibc-headers x86_64 2.17-222.el7 rhel_7_server_rpms 678 k

kernel-headers x86_64 3.10.0-862.14.4.el7 rhel_7_server_rpms 7.1 M

libmpc x86_64 1.0.1-3.el7 rhel_7_server_rpms 51 k

mpfr x86_64 3.1.1-4.el7 rhel_7_server_rpms 203 k

Transaction Summary

========================================================================================================

Install 1 Package (+6 Dependent packages)

Total download size: 31 M

Installed size: 60 M

Is this ok y/d/N: y

Downloading packages:

(1/7): cpp-4.8.5-28.el7_5.1.x86_64.rpm | 5.9 MB 00:02:51

(2/7): glibc-devel-2.17-222.el7.x86_64.rpm | 1.1 MB 00:00:10

(3/7): glibc-headers-2.17-222.el7.x86_64.rpm | 678 kB 00:00:11

(4/7): kernel-headers-3.10.0-862.14.4.el7.x86_64.rpm | 7.1 MB 00:02:47

(5/7): libmpc-1.0.1-3.el7.x86_64.rpm | 51 kB 00:00:01

(6/7): mpfr-3.1.1-4.el7.x86_64.rpm | 203 kB 00:00:02

(7/7): gcc-4.8.5-28.el7_5.1.x86_64.rpm | 16 MB 00:06:48


Total 78 kB/s | 31 MB 00:06:48

Running transaction check

Running transaction test

Transaction test succeeded

Running transaction

Installing : mpfr-3.1.1-4.el7.x86_64 1/7

Installing : libmpc-1.0.1-3.el7.x86_64 2/7

Installing : cpp-4.8.5-28.el7_5.1.x86_64 3/7

Installing : kernel-headers-3.10.0-862.14.4.el7.x86_64 4/7

Installing : glibc-headers-2.17-222.el7.x86_64 5/7

Installing : glibc-devel-2.17-222.el7.x86_64 6/7

Installing : gcc-4.8.5-28.el7_5.1.x86_64 7/7

Verifying : gcc-4.8.5-28.el7_5.1.x86_64 1/7

Verifying : mpfr-3.1.1-4.el7.x86_64 2/7

Verifying : glibc-devel-2.17-222.el7.x86_64 3/7

Verifying : cpp-4.8.5-28.el7_5.1.x86_64 4/7

Verifying : glibc-headers-2.17-222.el7.x86_64 5/7

Verifying : libmpc-1.0.1-3.el7.x86_64 6/7

Verifying : kernel-headers-3.10.0-862.14.4.el7.x86_64 7/7

Installed:

gcc.x86_64 0:4.8.5-28.el7_5.1

Dependency Installed:

cpp.x86_64 0:4.8.5-28.el7_5.1 glibc-devel.x86_64 0:2.17-222.el7

glibc-headers.x86_64 0:2.17-222.el7 kernel-headers.x86_64 0:3.10.0-862.14.4.el7

libmpc.x86_64 0:1.0.1-3.el7 mpfr.x86_64 0:3.1.1-4.el7

Complete!

要获取更多Jerry的原创文章,请关注公众号"汪子熙":

原创声明,本文系作者授权云+社区发表,未经许可,不得转载。

如有侵权,请联系 yunjia_community@tencent.com 删除。

发表于

我来说两句

0 条评论
登录 后参与评论

相关文章

来自专栏一个会写诗的程序员的博客

Spring Boot 2.0 内嵌 Tomcat 定制 : WebServerFactoryCustomizer

Spring Boot 2.0 内嵌 Tomcat 定制 : WebServerFactoryCustomizer

2062
来自专栏运维

安装VIM所依赖包

CentOS6.3 x86_64 最小化安装版安装vim yum -y install vim 通过这个命令可得出安装vim所得依赖包如下 T...

2102
来自专栏dalaoyang

SpringBoot返回json和xml

有些情况接口需要返回的是xml数据,在springboot中并不需要每次都转换一下数据格式,只需做一些微调整即可。 新建一个springboot项目,加入依赖j...

3578
来自专栏闵开慧

ERROR security.UserGroupInformation: Priviledge...

"Failed to set permissions of path"问题 参考文献:https://issues.apache.org/jira/browse...

3569
来自专栏Netkiller

Spring boot with Git version

本文节选自《Netkiller Java 手札》 5.23. Spring boot with Git version Spring boot 每次升级打包发给...

3118
来自专栏大大的微笑

ActiveMQ几个重要的配置文件

version:5.10,在5.8以后增加了levelDB的方式进行集群配置 ①.wrapper.conf: # -----------------------...

1K9
来自专栏nummy

flume RPC 接口开发

2214
来自专栏Jerry的SAP技术分享

如何处理错误消息Please install the Linux kernel header files

Please install the Linux kernel "header" files matching the current kernel

7003
来自专栏后台及大数据开发

springBoot系列教程05:fastjson的集成、配置及使用

springBoot自带的json用着不太习惯,已习惯了fastJSON,下面介绍下fastjson的配置

1141
来自专栏运维

CentOS6.3 x86_64 最小化安装后安装man

[root@localhost yum.repos.d]# yum -y install man Loaded plugins: fastestmirror,...

1322

扫码关注云+社区

领取腾讯云代金券